USE AWDW
GO


/*	
	DELETE DimDate
	WHERE [FullDateAlternateKey] >= '1/1/2015'
*/



WITH dateCTE AS (
	SELECT DATEADD(DAY, RowNum, CAST('20141231' AS DATE)) [TheDate]
	FROM (SELECT TOP 2192 ROW_NUMBER() OVER (ORDER BY DateKey) RowNum FROM AWDW.dbo.DimDate ) t
)

insert awdw.dbo.dimdate
SELECT CAST(CONVERT(VARCHAR, TheDate, 112) AS INT) [DateKey]
	, TheDate [FullAlternateDateKey]
	, DATEPART(WEEKDAY, TheDate) [DayNumberOfWeek]
	, DATENAME(WEEKDAY, TheDate) [EnglishDayNameOfWeek]
	, DATENAME(WEEKDAY, TheDate) [SpanishDayNameOfWeek]
	, DATENAME(WEEKDAY, TheDate) [FrenchDayNameOfWeek]
	, DATEPART(DAY, TheDate) [DayNumberOfMonth]
	, DATEDIFF(day,STR(YEAR(TheDate),4)+'0101',TheDate)+1
	, DATEPART(WEEK, TheDate) [WeekNumberOfYear]
	, DATENAME(MONTH, TheDate) [EnglishMonthName]
	, DATENAME(MONTH, TheDate) [SpanishMonthName]
	, DATENAME(MONTH, TheDate) [FrenchMonthName]
	, DATEPART(MONTH, TheDate) [MonthNumberOfYear]
	, DATEPART(Quarter, TheDate) [CalendarQuarter]
	, DATEPART(Year, TheDate) [CalendarYear]
	, CASE WHEN DATEPART(QUARTER, TheDate) < 3 THEN 1 ELSE 2 END [CalendarSemester]
	, DATEPART(Quarter, TheDate) [FiscalQuarter]
	, DATEPART(Year, TheDate) [FiscalYear]
	, CASE WHEN DATEPART(QUARTER, TheDate) < 3 THEN 1 ELSE 2 END [FiscalSemester]